<% sections = @report.rtype.sections %>
<%# If cloning a report or if it is a scheduled "task", allow the cloned report's section selections
    to be shown. %>
<% checked_sections = if request[:action] != 'clone' and params[:task_config_id].nil?
                        { :checked => 'checked' }
                      end
%>

<% if License.get.supports_custom_reporting? %>

  <%= f.inputs "Sections" do -%>
    <%= f.input :sections,
                :as         => :check_boxes,
                :required   => true,
                :input_html => checked_sections || {},
                :collection => sections.keys,
                :member_label => Proc.new {|t| sections[t.to_sym]  }
    %>

    <%= f.help_link :sections do %>
      <h3>Report Sections</h3>
      <p>Reports are broken down into separate sections based on content covered. They are listed in the order in which they appear. Each section may be enabled or disabled in the resultant report via this control.</p>
    <% end %>

  <% end %>
<% end %>
